Improve search system for issues - like "context specific search"
Target version:    
Description

When you have a project with many tickets, both the basic keyword search or to filter tickets does not help much.

Something along the lines of advanced search known from forums would be very useful.

This means to apply the search only to a specific set of tickets.

One possible approach could be to respect the current filter settings in the issues view when using the search from that context.

Thanks for the consideration.

Related issues:

Related to Redmine - Feature #10897: Offer an advanced issue query language a... New

Related to Redmine - Feature #5840: Live lookup of the existing issues based ... New 2010-07-08

Related to Redmine - Defect #15781: Customfields have a noticable impact on s... Closed

Related to Redmine - Feature #38402: "Any searchable text" filter for issues Closed

History

#1 - 2012-08-01 16:51 - claude g

Hi,

I am also not completely satisfied with search possibilities as it is.

I think this Feature could be added in issue filter: it is currently possible to add a filter with 'subject' 'contains' (or not) a string.

This feature could be to add the same possibilities with :

the description,

the full history.

This way, we could able to search for example among trackers 'Bug' with state 'Opened' assigned to 'me' with wanted string.

#2 - 2012-10-09 09:20 - Ewan Makepeace

I have two installations with respectively 7000 and 5000 issues, and here at Redmine.org we are over 12000. With that volume the existing search

tools are woefully inadequate. The whole point of making people record things in Redmine (rather than email exchanges or Skype chats for example)

is to create a searchable body of knowledge - of documentation. But what I am finding is that increasingly I am unable to find issues that I know are in

the database.

We have been so spoilt by Google and its incredible intelligence that the rigid logic of Redmine's search now feels positively archaic. I do not believe

it to be within the reach of the Redmine team to properly address this search question and so I think we should be looking to bolt on one of the

existing search frameworks such as http://www.elasticsearch.org/

The challenge will likely come in making sure search results obey the security rules - so that you don't get a search result listing an issue that you

don't have access to....

#3 - 2013-02-01 09:20 - Terence Mill

I must agree here also. Search is all about and could be done much better.

Example i hit right away:

I wanted to search all realted issues to my "new issue" and got overloaded in sarch results with closed issues.

The issues view needs a inteligent way to search and filter in description (e.g )

The standard search needs better ranking, e.g by metrics score- see lucence for exmaple

The standard search need bread crumbs for content type , e.g search issues by status and author, search wiki sites below parent, search
http://www.elasticsearch.org/
http://lucene.apache.org/core/3_6_2/scoring.html


documents in category.

related:

#5840 - Live lookup of the existing issues based on the keywords entered in the title for new issue

#4 - 2013-02-08 09:31 - Daniel Felix

Terence Mill wrote:

I must agree here also. Search is all about and could be done much better.

 Agreed. The search could be filtered better. For example, it's very hard to find open issues, which match some search pattern.

I could do this in two ways. The first is by using the search and manually skip all issues with a close icon.

The second way is... I just try to apply several filters and search for issues which match my concern.

The right way, would be to define a search, with several conditions.

Terence Mill wrote:

Example I hit right away:

I wanted to search all realted issues to my "new issue" and got overloaded in sarch results with closed issues.

The issues view needs a inteligent way to search and filter in description (e.g )

The standard search needs better ranking, e.g by metrics score- see lucence for exmaple

The standard search need bread crumbs for content type , e.g search issues by status and author, search wiki sites below parent, search

documents in category.

 Agreed too.

#5 - 2013-10-08 01:49 - Anonymous

+1 for Elastic Search

#6 - 2013-12-30 05:49 - Toshi MARUYAMA

- Related to Defect #15781: Customfields have a noticable impact on search performance due to slow database COUNT added

#7 - 2014-03-03 13:29 - Danil Tashkinov

With this plugin http://www.redmine.org/plugins/redmine_elasticsearch

you can use queries like this one

"Find all issues created in october 2013 by sergey or danil with elasticsearch text":

_type:issue AND created_on:[2013-10 2013-11] AND (author:sergey OR author:danil) AND elasticsearch~

#8 - 2024-06-20 11:38 - Go MAEDA

- Status changed from New to Closed

kju kju wrote:

This means to apply the search only to a specific set of tickets.

 In Redmine 5.1 and later, you can achieve this by simply adding the "Any searchable text" filter (#38402) to the current set of filters.

#9 - 2024-06-20 11:39 - Go MAEDA

- Related to Feature #38402: "Any searchable text" filter for issues added
